Loading...
Searching...
No Matches
HostFifo Class Reference

Host fifo implementation. More...

`#include <fifo.h>`

Inheritance diagram for HostFifo:
Collaboration diagram for HostFifo:

## Public Member Functions

| HostFifo (size_t size)
Status | Write (uint16_t *buf, size_t len)
Status | Read (uint16_t *buf, size_t len)
size_t | HowFull ()
size_t | HowEmpty ()
void | Flush ()

## Additional Inherited Members

Public Types inherited from Fifo
enum | Status { OK , FULL , EMPTY }

## Detailed Description

Host fifo implementation.

## Member Function Documentation

## Flush()

void HostFifo::Flush | ( |  | ) |

virtual

Implements Fifo.

## HowEmpty()

size_t HostFifo::HowEmpty | ( |  | ) |

virtual

Implements Fifo.

## HowFull()

size_t HostFifo::HowFull | ( |  | ) |

virtual

Implements Fifo.

## Read()

Fifo::Status HostFifo::Read | ( | uint16_t * | buf,
|  | size_t | len )

virtual

Implements Fifo.

## Write()

Fifo::Status HostFifo::Write | ( | uint16_t * | buf,
|  | size_t | len )

virtual

Implements Fifo.